List an API key's usage log, newest first.
List an API key's usage log, newest first — Competitor Tracker & Co. API reference for GET /v1/api-keys/{id}/usage: request parameters, request body, response.
Required role: member or higher (organization-level).
Required scope: account:read (for both OAuth2 tokens and API keys).
X-API-Key<token>
In: header
Path Parameters
id*string
Format
uuidQuery Parameters
cursor?string
Length
1 <= lengthlimit?integer
Default
25Range
1 <= value <= 100Response Body
application/json
application/json
curl -X GET "https://api.competitortracker.io/v1/api-keys/497f6eca-6276-4993-bfeb-53cbbbba6f08/usage"{
"items": [
{
"id": "string",
"method": "string",
"path": "string",
"status": 0,
"scope": "string",
"occurredAt": "string"
}
],
"nextCursor": "string"
}{
"code": "string",
"message": "string",
"resolution": "string"
}Rotate an API key's secret for the current organization. POST
Rotate an API key's secret for the current organization — Competitor Tracker & Co. API reference for POST /v1/api-keys/{id}/regenerate: request parameters.
Feedback
File bug reports and improvement suggestions — signed in or anonymously with a contact email — or get the link to our feature idea board — the REST API.